Orxonox: orxonox::GameMode Class Reference

# orxonox::GameMode Class Reference

`#include <src/core/GameMode.h>`

List of all members.

## Static Public Member Functions

static bool | hasServer ()
static bool | isClient ()
static bool | isMaster ()
static bool | isStandalone ()
static void | setHasServer (bool val)
static void | setIsClient (bool val)
static void | setIsStandalone (bool val)
static void | setShowsGraphics (bool val)
static bool | showsGraphics ()
static void | updateIsMaster ()

## Private Member Functions

| GameMode (const GameMode &inst)
| GameMode ()
| ~GameMode ()

## Static Private Attributes

static bool | bHasServer_s = false
| global variable that tells whether this is a server
static bool | bIsClient_s = false
static bool | bIsMaster_s = false
static bool | bIsStandalone_s = false
static bool | bShowsGraphics_s = false
| global variable that tells whether to show graphics

## Constructor & Destructor Documentation

orxonox::GameMode::GameMode | ( |  | ) | `[private]`

orxonox::GameMode::GameMode | ( | const GameMode & | inst | ) | `[private]`

orxonox::GameMode::~GameMode | ( |  | ) | `[private]`

## Member Function Documentation

static bool orxonox::GameMode::hasServer | ( |  | ) | `[inline, static]`

static bool orxonox::GameMode::isClient | ( |  | ) | `[inline, static]`

static bool orxonox::GameMode::isMaster | ( |  | ) | `[inline, static]`

Referenced by orxonox::GSLevel::activate(), orxonox::BigExplosion::BigExplosion(), orxonox::Bot::Bot(), orxonox::PlayerManager::clientConnected(), orxonox::PlayerManager::clientDisconnected(), orxonox::MovableEntity::collidesAgainst(), orxonox::Projectile::collidesAgainst(), orxonox::HumanPlayer::configvaluecallback_changednick(), orxonox::GSLevel::deactivate(), orxonox::Pawn::death(), orxonox::Projectile::destroyObject(), orxonox::Pawn::doFire(), orxonox::ExplosionChunk::ExplosionChunk(), orxonox::PlayerManager::getClient(), orxonox::Spectator::greet(), orxonox::HumanPlayer::HumanPlayer(), orxonox::HumanPlayer::networkcallback_clientIDchanged(), orxonox::GSRoot::pause(), orxonox::Pawn::Pawn(), orxonox::Pawn::postSpawn(), orxonox::Projectile::Projectile(), orxonox::MovableEntity::resynchronize(), orxonox::GametypeInfo::sendAnnounceMessage(), orxonox::GametypeInfo::sendDeathMessage(), orxonox::GametypeInfo::sendKillMessage(), orxonox::ControllableEntity::setAngularVelocity(), orxonox::ControllableEntity::setOrientation(), orxonox::ControllableEntity::setPlayer(), orxonox::ControllableEntity::setPosition(), orxonox::GSRoot::setTimeFactor(), orxonox::ControllableEntity::setVelocity(), orxonox::ControllableEntity::setWorldTransform(), orxonox::packet::Gamestate::spreadData(), orxonox::ExplosionChunk::stop(), orxonox::BigExplosion::stop(), orxonox::SynchronisableVariable< T >::SynchronisableVariable(), orxonox::PongBall::tick(), orxonox::Pawn::tick(), orxonox::ExplosionChunk::tick(), orxonox::ControllableEntity::tick(), orxonox::BlinkingBillboard::tick(), and orxonox::MultiStateEngine::tick().

static bool orxonox::GameMode::isStandalone | ( |  | ) | `[inline, static]`

static void orxonox::GameMode::setHasServer | ( | bool | val | ) | `[inline, static]`

Referenced by orxonox::GSDedicated::activate(), and orxonox::GSDedicated::deactivate().

static void orxonox::GameMode::setIsClient | ( | bool | val | ) | `[inline, static]`

Referenced by orxonox::GSClient::activate(), and orxonox::GSClient::deactivate().

static void orxonox::GameMode::setIsStandalone | ( | bool | val | ) | `[inline, static]`

Referenced by orxonox::GSStandalone::activate(), and orxonox::GSStandalone::deactivate().

static void orxonox::GameMode::setShowsGraphics | ( | bool | val | ) | `[inline, static]`

Referenced by orxonox::GSGraphics::activate(), and orxonox::GSGraphics::deactivate().

static bool orxonox::GameMode::showsGraphics | ( |  | ) | `[inline, static]`

Referenced by orxonox::GSLevel::activate(), orxonox::Backlight::Backlight(), orxonox::BigExplosion::BigExplosion(), orxonox::BillboardProjectile::BillboardProjectile(), orxonox::Billboard::changedMaterial(), orxonox::Model::changedMesh(), orxonox::GSLevel::deactivate(), orxonox::ExplosionChunk::ExplosionChunk(), orxonox::Gametype::Gametype(), orxonox::ClientConnectionListener::getConnectedClients(), orxonox::Shader::getParameterPointer(), orxonox::GSLevel::keybindInternal(), orxonox::Light::Light(), orxonox::ParticleEmitter::ParticleEmitter(), orxonox::ParticleInterface::ParticleInterface(), orxonox::ParticleProjectile::ParticleProjectile(), orxonox::CameraManager::releaseFocus(), orxonox::CameraManager::requestFocus(), orxonox::Scene::Scene(), orxonox::Scene::setAmbientLight(), orxonox::BillboardSet::setBillboardSet(), orxonox::ParticleInterface::setDetailLevel(), orxonox::Mesh::setMeshSource(), orxonox::Scene::setShadow(), orxonox::Scene::setSkybox(), orxonox::Shader::Shader(), orxonox::ParticleEmitter::sourceChanged(), orxonox::Spectator::Spectator(), orxonox::Planet::tick(), orxonox::Scene::tick(), orxonox::Trigger::Trigger(), orxonox::Planet::XMLPort(), orxonox::BillboardProjectile::~BillboardProjectile(), and orxonox::Scene::~Scene().

static void orxonox::GameMode::updateIsMaster | ( |  | ) | `[inline, static]`

## Member Data Documentation

bool orxonox::GameMode::bHasServer_s = false`[static, private]`

global variable that tells whether this is a server

bool orxonox::GameMode::bIsClient_s = false`[static, private]`

bool orxonox::GameMode::bIsMaster_s = false`[static, private]`

bool orxonox::GameMode::bIsStandalone_s = false`[static, private]`

bool orxonox::GameMode::bShowsGraphics_s = false`[static, private]`

global variable that tells whether to show graphics

The documentation for this class was generated from the following files:

- src/core/GameMode.h
- src/core/GameMode.cc